clang-tools 10.0.0

Static Public Member Functions | List of all members
llvm::DenseMapInfo< clang::clangd::SymbolID > Struct Template Reference

`#include <SymbolID.h>`

## Static Public Member Functions
static clang::clangd::SymbolID | getEmptyKey ()
static clang::clangd::SymbolID | getTombstoneKey ()
static unsigned | getHashValue (const clang::clangd::SymbolID &Sym)
static bool | isEqual (const clang::clangd::SymbolID &LHS, const clang::clangd::SymbolID &RHS)

## Detailed Description

### template<>
struct llvm::DenseMapInfo< clang::clangd::SymbolID >

Definition at line 67 of file SymbolID.h.

## Member Function Documentation

## ◆ getEmptyKey()

static clang::clangd::SymbolID llvm::DenseMapInfo< clang::clangd::SymbolID >::getEmptyKey | ( |  | ) |
| inline static

Definition at line 68 of file SymbolID.h.

## ◆ getHashValue()

static unsigned llvm::DenseMapInfo< clang::clangd::SymbolID >::getHashValue | ( | const clang::clangd::SymbolID & | Sym | ) |
| inline static

Definition at line 76 of file SymbolID.h.

References clang::clangd::hash_value().

## ◆ getTombstoneKey()

static clang::clangd::SymbolID llvm::DenseMapInfo< clang::clangd::SymbolID >::getTombstoneKey | ( |  | ) |
| inline static

Definition at line 72 of file SymbolID.h.

## ◆ isEqual()

static bool llvm::DenseMapInfo< clang::clangd::SymbolID >::isEqual | ( | const clang::clangd::SymbolID & | LHS,
|  | const clang::clangd::SymbolID & | RHS
| ) |  |
| inline static

Definition at line 79 of file SymbolID.h.

The documentation for this struct was generated from the following file:

- SymbolID.h